Subject: RE: [rfc2462bis] M/O flags and DHCPv6

From: "Dave Thaler" <[email-masked]>
Date: Wed, 3 Mar 2004 17:47:17 -0800

JINMEI Tatuya writes:
[...]
> The easiest solution to them would be to list RFC3315 as an
> informative reference.  I don't know whether this is acceptable.
> According to Section 2.7 of draft-rfc-editor-rfc2223bis-07.txt,
> Normative references specify
> 
>   - documents that must be read to understand or implement the
>     technology in the new RFC
>   - documents whose technology must be present for the technology
>     in the new RFC to work
> 
> But the first condition seems to me a bit subjective.  Under which
> requirement can we decide a document must be read for a different
> document?
> 
> The second condition is a bit clearer, but assuming we basically
> agreed that implementing DHCPv6 is basically optional, isn't "must be
> present" too strong?  And if so, can't we still safely use this RFC as
> an informative reference?
[...]

I suspect not.  My suggestion in the WG meeting was to not reference DHCPv6
here, but instead leave it to the node requirements doc to say that DHCPv6
is the stateful protocol.

-Dave
LR��(�H��
躙��X��X��*o�'�~��٢�+-��b��^�笶�m��?�0�'�~���f��f��X��)ߣ���

---

From: JINMEI Tatuya / 神明達哉 <[email-masked]>
Date: Thu, 04 Mar 2004 11:23:52 +0900

>>>>> On Wed, 3 Mar 2004 17:47:17 -0800, 
>>>>> "Dave Thaler" <[email-masked]> said:

> is the stateful protocol.

I'm personally happy with this approach.  But then rfc2462bis will
need to refer to the node requirements draft, and we'll face similar
questions:

- should the reference to the node-req doc be informative or
  normative?
- if normative, are there any reference dependency issues?
- (additional question) should we then still refer to RFC3315
  (probably as an informative one in this case)

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------